Page 9 of 10 FirstFirst ... 78910 LastLast
Results 81 to 90 of 100

Thread: Update error

  1. #81
    Join Date
    Jan 2008
    Beans
    27

    Re: Update error

    Hello

    I have tried to run your script in Terminal. The terminal dissapears and I am left wondering what happened. I am still getting the Bad Sig errors. Am I doing something wrong?

  2. #82
    Join Date
    Mar 2009
    Beans
    22

    Re: Update error

    I got one of the earlier versions to work but as soon as it got changed to check all sources when I put it into the terminal it closes out the terminal. Any ideas? I have two sources which give me the no_pub key error and was hoping this would work to add those keys. Any help?

  3. #83
    Join Date
    Mar 2009
    Beans
    2

    Re: Update error

    Hmmmm....

    What you can do if running the script is closing the terminal is pipe the output (STDOUT and STDERR) to a file. So instead of running
    sudo ./launchpad-update hardy
    run
    sudo ./launchpad-update hardy > ~/scriptoutput.txt 2>&1

    where "hardy" can also be "intrepid" or "jaunty" or whatever version of Ubuntu you're running.

    If that output still doesn't help (i.e., what's in ~/scriptout.txt), post it on the forums, and we'll see what we can do.

    Thanks,
    B

  4. #84
    Join Date
    Dec 2008
    Location
    Kent, UK
    Beans
    26
    Distro
    Ubuntu

    Re: Update error

    Amazing... ! Ihave no idea why this is the only thing which got through the https proxy (localhost's squid)... Why do we need some over complicated perl scripts when this one-liner just does it all?

    Quote Originally Posted by geirha View Post
    With the help of awk and cutting some corners, I managed to make it a one-liner
    Code:
    awk -F/ '/^[[:blank:]]*deb[[:blank:]]+http:\/\/ppa\.launchpad\.net\// \
    {print "https://launchpad.net/~"$4"/+archive"}' \
    /etc/apt/sources.list{,.d/*.list} | \
    xargs -- wget -q -O- | \
    awk -F\" '/http:\/\/keyserver\.ubuntu\.com:11371/ {sub(/amp;op=index/,"op=get");print $2}' | \
    xargs -- wget -q -O- | \
    sudo apt-key add -

  5. #85
    Join Date
    Jan 2005
    Beans
    403

    Re: Update error

    Worked great! Many thanks

  6. #86
    Join Date
    Apr 2009
    Location
    /home
    Beans
    95
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: Update error

    Thanks for the post, it worked for me
    AMD Phenom 9500 Quad 2.2 GHz Asus M3N78-VM 4GB DDR2 64 bit Jaunty

  7. #87
    Join Date
    Dec 2005
    Location
    Australia
    Beans
    44
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: Update error

    geirha's one-liner worked for me too - where other answers hadn't.

    cheers!

  8. #88
    Join Date
    Sep 2009
    Beans
    28

    Re: Update error

    i am competently lost here. i'm haveing several problems with ubuntu, ummm i'm trying to get my wireless network card to work and apperently i need to update. i'm not sure if i'm at the right thread (if i'm wrong please provide a link to the correct thread)

    Code:
     W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used.GPG error: http://ca.archive.ubuntu.com jaunty Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
    
    W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used.GPG error: http://ppa.launchpad.net jaunty Release: The following signatures were invalid: BADSIG 3B22AB97AF1CDFA9 Launchpad PPA for Ubuntu-X
    
    W: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/dists/jaunty/Release  
    
    W: Failed to fetch http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu/dists/jaunty/Release  
    
    W: Some index files failed to download, they have been ignored, or old ones used instead.
    W: You may want to run apt-get update to correct these problems
    thats my error messege, i have NFC about anything....please help

  9. #89
    Join Date
    Aug 2008
    Location
    Mallorca-Spain
    Beans
    1
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: Update error

    I have just found this script and if it works for me I'll be really happy I was tired to go one by one. Thnak you a lot for your job.

  10. #90
    Join Date
    Jul 2008
    Beans
    46

    Smile Re: Update error

    Quote Originally Posted by blackgr View Post
    I made this small bash script. it will check you intrepid system for all launchpad sources and will download and install the keys for you!

    Who ever wants this for Hardy. Just edit the script and change intrepid to hardy

    edit:
    You have to run this with sudo
    Many Thanks !
    The curl command would not work for me without the -L option.
    I made some other changes just to fit my personal OCD-taste:
    Code:
    #!/bin/bash
    #sudo aptitude install curl
    LIST_FILES=$(ls /etc/apt/sources.{list,list.d/*.list})
    LIST=$(cat $LIST_FILES |
       grep '^deb .*ppa\.launchpad.*karmic' |
       cut -d/ -f4)
    for i in $LIST; do 
       KEY_PAGE=$(curl -sL https://launchpad.net/~$i/+archive |
          grep 'http://keyserver.ubuntu.com:11371/pks/' |
          cut -d'"' -f2)
       KEYSS=$(curl -sL "$KEY_PAGE"|grep '^pub  ' |
          cut -d'"' -f2)
       for j in "$KEYSS"; do
          curl -sL "http://keyserver.ubuntu.com:11371$j" | 
             sed -ne '/BEGIN/,/END/p' |
             apt-key add -
       done
    done
    Now if I could just fix "W: GPG error: http://dell-mini.archive.canonical.com karmic-dell-mini Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY F9FDA6BED73CDC22", I'd be really really pleased!

    j

Page 9 of 10 FirstFirst ... 78910 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •